{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>{{ recipe_object.title }} details</title>
    <link rel="stylesheet" href="{% static 'css/recipes.css' %}">
</head>
<body>
    <header>
        <nav>
            <a class="neon-link" href="{% url 'recipe_list' %}">Main page</a>
            <a href="{% url 'edit_recipe' recipe_object.id %}" class="neon-link">Edit Recipe</a>
        </nav>
    </header>
    <main>
            <h3>{{ recipe_object.title }} </h3>

            <img src="{{ recipe_object.picture }}">

            <h2>Ingredients</h2>
        <table class="center">
            <thead>
            <tr>
                <th>Amount</th>
                <th>Food items</th>
            </tr>
        </thead>
        <tbody>
            {% for ingredient in recipe_object.ingredients.all %}
            <tr>
                <td>{{ ingredient.amount }}</td>
                <td>{{ ingredient.food_item }}</td>
            </tr>
            {% endfor %}
        </tbody>
        </table>
            <h2>Steps</h2>
            <div class="container">
                <ol>
                   {% for step in recipe_object.steps.all %}
                   <li>{{ step.instruction }}</li>
                   {% endfor %}
                </ol>
            </div>
    </main>
    <footer>
        Made by Dimitri Legaspi
    </footer>
</body>
</html>